? apps/app_cp.c
Index: configs/features.conf.sample
===================================================================
RCS file: /usr/cvsroot/asterisk/configs/features.conf.sample,v
retrieving revision 1.1
diff -u -r1.1 features.conf.sample
--- configs/features.conf.sample	17 Jul 2004 20:58:00 -0000	1.1
+++ configs/features.conf.sample	30 Jul 2004 23:24:37 -0000
@@ -7,3 +7,4 @@
 parkpos => 701-720			; What extensions to park calls on
 context => parkedcalls			; Which context parked calls are in
 ;parkingtime => 45			; Number of seconds a call can be parked for (default is 45 seconds)
+transferdigittimeout => 3	; Number of seconds to wait between digits when transfering a call
Index: res/res_features.c
===================================================================
RCS file: /usr/cvsroot/asterisk/res/res_features.c,v
retrieving revision 1.3
diff -u -r1.3 res_features.c
--- res/res_features.c	28 Jul 2004 19:25:14 -0000	1.3
+++ res/res_features.c	30 Jul 2004 23:24:37 -0000
@@ -38,6 +38,7 @@
 #include <netinet/in.h>
 
 #define DEFAULT_PARK_TIME 45000
+#define DEFAULT_TRANSFER_DIGIT_TIMEOUT 3000
 
 static char *parkedcall = "ParkedCall";
 
@@ -58,6 +59,8 @@
 /* Last available extension for parking */
 static int parking_stop = 750;
 
+static int transferdigittimeout = DEFAULT_TRANSFER_DIGIT_TIMEOUT;
+
 /* Registrar for operations */
 static char *registrar = "res_parking";
 
@@ -342,7 +345,7 @@
 				}
 				res = 0;
 				while(strlen(newext) < sizeof(newext) - 1) {
-					res = ast_waitfordigit(transferer, 3000);
+					res = ast_waitfordigit(transferer, transferdigittimeout);
 					if (res < 1) 
 						break;
 					if (res == '#')
@@ -728,6 +731,12 @@
 					parking_start = start;
 					parking_stop = end;
 				}
+			} else if(!strcasecmp(var->name, "transferdigittimeout")) {
+				if ((sscanf(var->value, "%d", &transferdigittimeout) != 1) || (transferdigittimeout < 1)) {
+					ast_log(LOG_WARNING, "%s is not a valid transferdigittimeout\n", var->value);
+					transferdigittimeout = DEFAULT_TRANSFER_DIGIT_TIMEOUT;
+				} else
+					transferdigittimeout = transferdigittimeout * 1000;
 			}
 			var = var->next;
 		}
